package main

import (
	"context"
	"gibb165lb2/util"
	"go.mongodb.org/mongo-driver/mongo"
	"go.mongodb.org/mongo-driver/mongo/options"
	"log"
	"net/http"
	"time"
)

func main() {
	ctx, cancel := context.WithTimeout(context.Background(), 10*time.Second)
	defer cancel()
	var err error
	util.Client, err = mongo.Connect(ctx, options.Client().ApplyURI("mongodb://root:root12345@localhost:27017"))
	if err != nil {
		panic(err)
	}

	//util.InsertRandomData(client)
	r := GetRouter()

	err = http.ListenAndServe(":3333", r)
	if err != nil {
		log.Fatal(err)
	}
}
